NMDM(4)

NAME
nmdm - nullmodem terminal driver

SYNOPSIS
device nmdm

DESCRIPTION
The nmdm driver provides two tty(4) devices connected by a virtual “null modem” cable.

If either of the two tty devices have the CDSR_OFLOW bit (“stty dsrflow”) set in their line discipline, the nmdm device will emulate the speed configured in the termios(4) settings. The speed emulation works independently in the two directions, controlled by the slower end's termios settings (c_ispeed, c_ospeed, CS5 ... CS8, CSTOPB and PARENB).

FILES
/dev/nmdmN[AB]
    nullmodem device nodes. Where the A node has a matching B node.

The nmdm driver implements “on-demand device creation” so simply accessing a given instance in /dev will create it.

DIAGNOSTICS
None.

SEE ALSO
stty(1), termios(4), tty(4)

HISTORY
The nmdm driver first appeared in FreeBSD 4.4.